<?php
/**
 * Block Editor settings specific to Xponent Standard.
 *
 * @package Xponent Standard
 * @author  Xponent
 * @license GPL-2.0-or-later
 * @link    https://xponent.se/themes/
 */

$xponent_standard_link_color            = get_theme_mod( 'xponent_standard_link_color', xponent_standard_customizer_get_default_link_color() );
$xponent_standard_link_color_contrast   = xponent_standard_color_contrast( $xponent_standard_link_color );
$xponent_standard_link_color_brightness = xponent_standard_color_brightness( $xponent_standard_link_color, 35 );

return array(
	'admin-fonts-url'              => 'https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,400i,600,700',
	'content-width'                => 1062,
	'default-button-bg'            => $xponent_standard_link_color,
	'default-button-color'         => $xponent_standard_link_color_contrast,
	'default-button-outline-hover' => $xponent_standard_link_color_brightness,
	'default-link-color'           => $xponent_standard_link_color,
	'editor-color-palette'         => array(
		array(
			'name'  => __( 'Custom color', 'xponent-standard' ), // Called “Link Color” in the Customizer options. Renamed because “Link Color” implies it can only be used for links.
			'slug'  => 'theme-primary',
			'color' => get_theme_mod( 'xponent_standard_link_color', xponent_standard_customizer_get_default_link_color() ),
		),
		array(
			'name'  => __( 'Accent color', 'xponent-standard' ),
			'slug'  => 'theme-secondary',
			'color' => get_theme_mod( 'xponent_standard_accent_color', xponent_standard_customizer_get_default_accent_color() ),
		),
	),
	'editor-font-sizes'            => array(
		array(
			'name' => __( 'Small', 'xponent-standard' ),
			'size' => 12,
			'slug' => 'small',
		),
		array(
			'name' => __( 'Normal', 'xponent-standard' ),
			'size' => 18,
			'slug' => 'normal',
		),
		array(
			'name' => __( 'Large', 'xponent-standard' ),
			'size' => 20,
			'slug' => 'large',
		),
		array(
			'name' => __( 'Larger', 'xponent-standard' ),
			'size' => 24,
			'slug' => 'larger',
		),
	),
);
